> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Returns marketplaces where the seller is registered and active

GET https://marketplace.walmart.com/seller/v1/sellers/v4/marketplaceParticipations

Returns the list of marketplaces the authenticated seller participates in
(e.g. Walmart US, Walmart Canada, Walmart Mexico).


Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/seller-finances/sellers/get-marketplace-participations

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Response

### 200

Success

- `payload` (list of MarketplaceParticipation, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required)

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required)

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required)

## Types

### MarketplaceParticipation

- `marketplace` (Marketplace, optional)
- `participation` (Participation, optional)

### Error

- `code` (string, required)
- `message` (string, required)
- `details` (string, optional)

### Marketplace

- `id` (enum, optional)
  - Allowed values: `WALMART_US`, `WALMART_CA`, `WALMART_MX`
- `name` (string, optional)
- `countryCode` (string, optional)
- `currencyCode` (string, optional)
- `defaultLanguageCode` (string, optional)

### Participation

- `isParticipating` (boolean, optional)
- `hasSuspendedListings` (boolean, optional)
- `sellerStatus` (enum, optional)
  - Allowed values: `Active`, `Inactive`, `Suspended`, `PendingApproval`

## Examples

**Response**

```json
{
  "payload": [
    {
      "marketplace": {
        "id": "WALMART_US",
        "name": "string",
        "countryCode": "string",
        "currencyCode": "string",
        "defaultLanguageCode": "string"
      },
      "participation": {
        "isParticipating": true,
        "hasSuspendedListings": true,
        "sellerStatus": "Active"
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/sellers/v4/marketplaceParticipations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/sellers/v4/marketplaceParticipations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/sellers/v4/marketplaceParticipations"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/sellers/v4/marketplaceParticipations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace.walmart.com/seller/v1/sellers/v4/marketplaceParticipations")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace.walmart.com/seller/v1/sellers/v4/marketplaceParticipations', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/sellers/v4/marketplaceParticipations");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/sellers/v4/marketplaceParticipations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```